Skip to main content
`Ctrl`+`K`

# PetscQuadratureDuplicate

Create a deep copy of the `PetscQuadrature` object

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureDuplicate(PetscQuadrature q, PetscQuadrature *r)

Collective

## Input Parameter

- q - The `PetscQuadrature` object

## Output Parameter

- r - The new `PetscQuadrature` object

## See Also

`PetscQuadrature`, `PetscQuadratureCreate()`, `PetscQuadratureDestroy()`, `PetscQuadratureGetData()`

## Level

beginner

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages